<?php
use \common\libs\MyLib;
?>
<script type="text/javascript" language="javascript" src="/js/jquery-1.8.3.js"></script>
<script type="text/javascript" language="javascript" src="/js/datepicker/WdatePicker.js"></script>
<script type="text/javascript" language="javascript" src="/js/ajax.js"></script>
<script type="text/javascript" language="javascript" src="/js/func.js"></script>
<script type="text/javascript" language="javascript">
    $(function(){
        $("#search-btn").click(function(){
            $('#page').val(0);
            var params = $('#searchForm').serialize();
            window.location.href = "/database/e-index?" + params;
        });
        $('#all-assign-btn').click(function(){
            if(confirm('是否确认批量分配操作?')) {
                var params = $('#searchForm').serialize();
                $.post('/database/e-all-assign',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('.invalid-btn').click(function(){
            if(confirm('是否确认无效?')) {
                var params = $('#listFrm').serialize();
                var invalid_id = $('#invalid_id').val();
                params = params + '&invalid_id=' + invalid_id;
                $.post('/database/invalid',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#move-d-btn').click(function(){
            if(confirm('是否确认批量移动D库操作?')) {
                var params = $('#searchForm').serialize();
                $.post('/database/e-move-d',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#assign-btn').click(function(){
            if(confirm('是否确认跟踪分配操作?')) {
                var params = $('#listFrm').serialize();
                var user_id = $('#user_id').val();
                params = params + '&user_id=' + user_id;
                $.post('/database/e-assign',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#return-btn').click(function(){
            if(confirm('是否确认收回操作?')) {
                var params = $('#listFrm').serialize();
                $.post('/database/e-return',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#move-btn').click(function(){
            if(confirm('是否确认从E库移到D库操作?')) {
                var params = $('#listFrm').serialize();
                $.post('/database/e-d',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#e-a-btn').click(function(){
            if(confirm('是否确认从E库移到A库操作?')) {
                var params = $('#listFrm').serialize();
                $.post('/database/e-a',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#all').click(function(){
            if($(this).prop('checked')==true) {
                $('input:checkbox').each(function() {
                    $(this).prop('checked', true);
                });
            } else {
                $('input:checkbox').each(function () {
                    $(this).prop('checked',false);
                });
            }
        });
    });
</script>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="table">
    <form id="searchForm">
        <input type="hidden" id="page" name="page" value="<?=$page?>">
        <tr>
            <td class="td_bg">
                车牌：<input name="car_no" type="text" value="<?=$car_no?>" style="width: 100px;">
                车主：<input name="car_man" type="text" value="<?=$car_man?>" style="width: 100px;">
                联系电话：<input name="phone" type="text" value="<?=$phone?>" style="width: 100px;">
                初登日期：从<input class="act_date" name="register_begin" type="text" value="<?=$register_begin?>" onclick="WdatePicker()">至<input class="act_date" name="register_end" type="text" value="<?=$register_end?>" onclick="WdatePicker()">截止
                出单日期：从<input class="act_date" name="print_begin" type="text" value="<?=$print_begin?>" onclick="WdatePicker()">至<input class="act_date" name="print_end" type="text" value="<?=$print_end?>" onclick="WdatePicker()">截止
                &nbsp;&nbsp;保险公司：<input name="company" type="text" value="<?=$company?>" style="width: 100px;">
            </td>
        </tr>
        <tr>
            <td class="td_bg">
                保险日期：从<input class="act_date" name="insurer1_begin" type="text" value="<?=$insurer1_begin?>" onclick="WdatePicker()">至<input class="act_date" name="insurer1_end" type="text" value="<?=$insurer1_end?>" onclick="WdatePicker()">截止
                &nbsp;&nbsp;状态：<select name="status">
                    <option value="0">全部</option>
                    <option value="1" <?=$status==1?'selected':''?>>未分配</option>
                    <option value="2" <?=$status==2?'selected':''?>>已分配</option>
                </select>
                工号：<input name="username" type="text" value="<?=$username?>" style="width: 100px;">
                排序：<select name="sort_key">
                    <option value="car_t.print_date" <?=$sort_key=='car_t.print_date'?'selected':''?>>出单日期</option>
                    <option value="car_t.insurer1_date" <?=$sort_key=='car_t.insurer1_date'?'selected':''?>>保险日期</option>
                </select>
                <select name="sort_value">
                    <option value="ASC" <?=$sort_value=='ASC'?'selected':''?>>顺序</option>
                    <option value="DESC" <?=$sort_value=='DESC'?'selected':''?>>倒序</option>
                </select>
                <input type="button" class="act_btn" id="search-btn" name="search-btn" value="搜索">
            </td>
        </tr>
        <tr>
            <td class="td_bg">
                <input type="button" class="act_btn" id="move-d-btn" name="move-d-btn" value="批量移到D库">
                分配给业务员 <input id="assign_users" name="assign_users" type="text" value="" style="width:100px;">
                每个业务员分配 <input id="assign_count" name="assign_count" type="text" value="" style="width:50px;"> 条记录
                <input type="button" class="act_btn" id="all-assign-btn" name="all-assign-btn" value="批量分配">
            </td>
        </tr>
        <tr>
            <td class="td_bg">
                <select name="user_id" id="user_id">
                    <option value="0">请选择</option>
                    <?php
                    foreach($user_items as $item) {
                        echo '<option value="'.$item->id.'"';
                        if($item->id == $user_id)
                            echo ' selected ';
                        echo '>'.$item->getShowName().'</option>';
                    }
                    ?>
                </select>
                <input type="button" class="act_btn" id="assign-btn" name="assign-btn" value="勾选分配">
                <input type="button" class="act_btn" id="return-btn" name="return-btn" value="勾选收回">
                <input type="button" class="act_btn" id="e-a-btn" name="e-a-btn" value="勾选移到A库">
                <input type="button" class="act_btn" id="move-btn" name="move-btn" value="勾选移到D库">
                <select name="invalid_id" id="invalid_id">
                    <option value="0">请选择无效理由</option>
                    <?php
                    foreach($invalid_items as $item) {
                        echo '<option value="'.$item->id.'">'.$item->name.'</option>';
                    }
                    ?>
                </select>
                <input type=button class="ACT_btn invalid-btn" name="invalid-btn" value=" 无效数据 "/>
            </td>
        </tr>
    </form>
</table>
<form id="listFrm">
    <table width="98%" border="0" align="center" cellpadding="2" cellspacing="1" class="table">
        <tr>
            <td align="center" width="24" align="center" class="bg_tr"><input type="checkbox" id="all"></td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>车牌</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>车型</td>
            <td width="150" align="center" align="center" class="bg_tr" nowrap>车主</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>联系电话</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>初登日期</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>出单日期</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>保险日期</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>保险公司</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>新保座席</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>原客服代表</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>续保座席</td>
            <td width="50" align="center" align="center" class="bg_tr" nowrap>当前业务员</td>
        </tr>
        <?php
        foreach($items as $index => $item) {
            $car_info = $item->car;
            ?>
            <tr onMouseOver=overColor(this) onMouseOut=outColor(this)>
                <td align="center" class="td_bg"nowrap ><input type="checkbox" name="ids[]" value="<?=$item->id?>"></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->car_no?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->factory_model?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->car_man?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->phone?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->register_date?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->print_date=='1970-01-01'?'':$car_info->print_date?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->insurer1_date?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->company?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->op_user1?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->op_user2?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->op_user3?></td>
                <td align="left" class="td_bg"nowrap ><?=$item->user?$item->user->getShowName():''?></td>
            </tr>
            <?php
        }
        ?>
        <tr >
            <td height="25" colspan="13" align="center" class="td_bg"><?=$page_info?></td>
        </tr>
    </table>
</form>